{strip}
<body onload="MyFunc()">

{assign var=campaign value=$campaigns}
<table  style="margin-left: 35px; margin-top: 16px;"><tr><td>  <label><font color="#800080" size="4"><b>Select Campaign :</b></font></label></td><td><select id="campaign" name="camapign" onchange=" MyFunc();">
<option value="ALL" >ALL</option>
{foreach from=$campaign item=campaign_name}
    <option value="{$campaign_name}">{$campaign_name}</option>
{/foreach}
</select>
</td></tr></table>

<table>
<tr>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;StartDate:</td>
<td>
<input type="date" name="start" id="username" value="start"/></td>
<td>&nbsp;&nbsp;&nbsp;EndDate:</td><td>
<input type="date" name="end" id="name" value="end"/></td>
<td>
<button id="sbmt" onclick="myclick()">Submit</button></td>
</tr>
</table>

<div id="demo"></div>
{assign var=site_url value=$url}
<input  type="hidden" id="url" value="{$site_url}"></input>
</body>
{/strip}
<script type="text/javascript">
  function myclick(){
  var sdate=document.getElementById('username').value;
  var edate=document.getElementById('name').value;
  var campaign1=document.getElementById('campaign').value;
  var url=document.getElementById('url').value;
  var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
    document.getElementById("demo").innerHTML =this.responseText;
    }
  };
 // alert(sdate);
  xhttp.open("GET",url+"agent_performance.php?sdat="+sdate+"edat="+edate+"edat="+campaign1, true);
  //xhttp.open("GET",url+"agent_performance.php?edate="+edate, true);
  xhttp.send();
}
</script>
<script type="text/javascript">
function MyFunc()
{


  var campaign=document.getElementById('campaign').value;
  var url=document.getElementById('url').value;

 var sdate=document.getElementById('username').value;
 var edate=document.getElementById('name').value;
 var xhttp = new XMLHttpRequest();
 xhttp.onreadystatechange = function() {
 if (this.readyState == 4 && this.status == 200) {
    document.getElementById("demo").innerHTML =this.responseText;
}
};

  xhttp.open("GET", url+"agent_performance.php?camp="+campaign, true);
  xhttp.send();
}
</script>
